Loading...
Searching...
No Matches
Opm::SimulatorBase< SimTraits > Class Template Reference

`#include <SimulatorBase.hpp>`

## Public Member Functions

| SimulatorBase ()
void | init (const Opm::ParameterGroup &param)
| Initialization from parameters.

## Protected Types

enum | { Dimension = GridType::dimension }
typedef Dune::CpGrid | GridType
typedef Dune::FieldVector< double, Dimension > | Vector
typedef SimTraits::template ResProp< Dimension >::Type | ResProp
typedef GridInterfaceEuler< GridType > | GridInterface
typedef GridInterface::CellIterator | CellIter
typedef CellIter::FaceIterator | FaceIter
typedef BasicBoundaryConditions< true, true > | BCs
typedef SimTraits::template FlowSolver< GridInterface, BCs >::Type | FlowSolver
typedef SimTraits::template TransportSolver< GridInterface, BCs >::Type | TransportSolver

## Protected Member Functions

virtual void | initControl (const Opm::ParameterGroup &param)
virtual void | initGridAndProps (const Opm::ParameterGroup &param)
virtual void | initInitialConditions (const Opm::ParameterGroup &param)
virtual void | initBoundaryConditions (const Opm::ParameterGroup &param)
virtual void | initSources (const Opm::ParameterGroup &)
virtual void | initSolvers (const Opm::ParameterGroup &param)

## Protected Attributes

int | simulation_steps_
double | stepsize_
std::vector< double > | init_saturation_
Vector | gravity_
double | residual_tolerance_
int | linsolver_verbosity_
int | linsolver_type_
GridType | grid_
GridInterface | ginterf_
ResProp | res_prop_
BCs | bcond_
Opm::SparseVector< double > | injection_rates_
std::vector< double > | injection_rates_psolver_
FlowSolver | flow_solver_
TransportSolver | transport_solver_

## Detailed Description

template<class SimTraits>
class Opm::SimulatorBase< SimTraits >

Todo
  Doc me!

Template Parameters

## Constructor & Destructor Documentation

## SimulatorBase()

template<class SimTraits>

Opm::SimulatorBase< SimTraits >::SimulatorBase | ( |  | ) |

inline

Todo
  Doc me!

## Member Function Documentation

## init()

template<class SimTraits>

void Opm::SimulatorBase< SimTraits >::init | ( | const Opm::ParameterGroup & | param | ) |

inline

Initialization from parameters.

Parameters

  param | a parameter object

The documentation for this class was generated from the following file:

- opm/porsol/common/SimulatorBase.hpp